JtdsXAConnection (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbcx

## Class JtdsXAConnection

- java.lang.Object
- - net.sourceforge.jtds.jdbcx.PooledConnection
  - - net.sourceforge.jtds.jdbcx.JtdsXAConnection

- All Implemented Interfaces:
    javax.sql.PooledConnection, javax.sql.XAConnection

      public class JtdsXAConnection
      extends PooledConnection
      implements javax.sql.XAConnection

  jTDS implementation of the `XAConnection` interface.
  Version:
    $Id: JtdsXAConnection.java,v 1.4 2005-04-28 14:29:30 alin_sinpalean Exp $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private JtdsDataSource` | `dataSource`
    `private javax.transaction.xa.XAResource` | `resource` The XAResource used by the transaction manager to control this connection.
    `private int` | `xaConnectionId`

    - ### Fields inherited from class net.sourceforge.jtds.jdbcx.PooledConnection

      `connection`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JtdsXAConnection(JtdsDataSource dataSource, java.sql.Connection connection)` Construct a new `XAConnection` object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes the database connection.
    `(package private) int` | `getXAConnectionID()` Retrieves the XA Connection ID to pass to server.
    `protected JtdsDataSource` | `getXADataSource()`
    `javax.transaction.xa.XAResource` | `getXAResource()`

    - ### Methods inherited from class net.sourceforge.jtds.jdbcx.PooledConnection

      `addConnectionEventListener, addStatementEventListener, fireConnectionEvent, getConnection, removeConnectionEventListener, removeStatementEventListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.sql.PooledConnection

      `addConnectionEventListener, addStatementEventListener, getConnection, removeConnectionEventListener, removeStatementEventListener`

- - ### Field Detail

    - #### resource

          private final javax.transaction.xa.XAResource resource

      The XAResource used by the transaction manager to control this connection.

    - #### dataSource

          private final JtdsDataSource dataSource

    - #### xaConnectionId

          private final int xaConnectionId

  - ### Constructor Detail

    - #### JtdsXAConnection

          public JtdsXAConnection(JtdsDataSource dataSource,
                          java.sql.Connection connection)
                           throws java.sql.SQLException

      Construct a new `XAConnection` object.
      Parameters:
        `dataSource` - the parent `DataSource` object
        `connection` - the real database connection
      Throws:
        `java.sql.SQLException`

  - ### Method Detail

    - #### getXAConnectionID

          int getXAConnectionID()

      Retrieves the XA Connection ID to pass to server.
      Returns:
        the XA connection ID as an `Integer`

    - #### getXAResource

          public javax.transaction.xa.XAResource getXAResource()
                                                        throws java.sql.SQLException

      Specified by:
        `getXAResource` in interface `javax.sql.XAConnection`
      Throws:
        `java.sql.SQLException`

    - #### close

          public void close()
                     throws java.sql.SQLException

      Description copied from class: `PooledConnection`
      Closes the database connection.
      Specified by:
        `close` in interface `javax.sql.PooledConnection`
      Overrides:
        `close` in class `PooledConnection`
      Throws:
        `java.sql.SQLException` - if an error occurs

    - #### getXADataSource

          protected JtdsDataSource getXADataSource()

Generated on June 8 2013